Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(306)

Issue 717042: Add netlink support (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
12 years, 6 months ago by Hajime Tazaki
Modified:
12 years, 4 months ago
Reviewers:
Mathieu Lacage
CC:
ns-3-reviews_googlegroups.com
Visibility:
Public.

Description

This changeset is created agiainst http://code.nsnam.org/mathieu/ns-3-simu/ rev 6123. The patch aims to support netlink socket (AF_NETLINK) for ns-3. It will be used for quagga support in ns-3 in the future. First version only includes IPv4 support. All the missing function is listed in the file "TODO".

Patch Set 1 #

Total comments: 4

Patch Set 2 : netlink-socket-helper.cc is merged to process-manager-helper.cc #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+5088 lines, -0 lines) Patch
M src/helper/process-manager-helper.cc View 2 chunks +3 lines, -0 lines 0 comments Download
M src/internet-stack/wscript View 1 chunk +1 line, -0 lines 1 comment Download
M src/node/socket.h View 1 chunk +2 lines, -0 lines 0 comments Download
A src/process-manager/netlink/TODO View 1 chunk +12 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-attribute.h View 1 chunk +124 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-attribute.cc View 1 chunk +433 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-message.h View 1 chunk +256 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-message.cc View 1 chunk +668 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-message-route.h View 1 chunk +388 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-message-route.cc View 1 chunk +647 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-socket.h View 1 chunk +202 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-socket.cc View 1 chunk +1456 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-socket-address.h View 1 chunk +71 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-socket-address.cc View 1 chunk +121 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-socket-factory.h View 1 chunk +52 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-socket-factory.cc View 1 chunk +48 lines, -0 lines 0 comments Download
A src/process-manager/netlink/netlink-socket-test.cc View 1 1 chunk +588 lines, -0 lines 0 comments Download
M src/process-manager/process-manager-test.cc View 2 chunks +3 lines, -0 lines 0 comments Download
M src/process-manager/wscript View 2 chunks +13 lines, -0 lines 0 comments Download

Messages

Total messages: 7
Hajime Tazaki
Hello Mathieu, all This changeset includes netlink support in ns-3, which aims to support quagga ...
12 years, 6 months ago (2010-03-25 14:28:01 UTC) #1
Mathieu Lacage
I am ok with all this. I will pull it in once you have submitted ...
12 years, 6 months ago (2010-03-25 15:39:15 UTC) #2
Hajime Tazaki
http://codereview.appspot.com/717042/diff/1/2 File src/helper/netlink-socket-helper.cc (right): http://codereview.appspot.com/717042/diff/1/2#newcode1 src/helper/netlink-socket-helper.cc:1: /* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */ On 2010/03/25 ...
12 years, 6 months ago (2010-03-26 02:35:08 UTC) #3
Hajime Tazaki
Hi Mathieu, On 2010/03/26 02:35:08, Hajime Tazaki wrote: > http://codereview.appspot.com/717042/diff/1/2 > File src/helper/netlink-socket-helper.cc (right): > ...
12 years, 6 months ago (2010-03-26 04:08:25 UTC) #4
Mathieu Lacage
http://codereview.appspot.com/717042/diff/12001/13002 File src/internet-stack/wscript (right): http://codereview.appspot.com/717042/diff/12001/13002#newcode137 src/internet-stack/wscript:137: 'ipv6-interface.h', can you submit that change to ns-3-dev separately ...
12 years, 6 months ago (2010-04-02 11:42:07 UTC) #5
Hajime Tazaki
On 2010/04/02 11:42:07, Mathieu Lacage wrote: > http://codereview.appspot.com/717042/diff/12001/13002 > File src/internet-stack/wscript (right): > > http://codereview.appspot.com/717042/diff/12001/13002#newcode137 ...
12 years, 6 months ago (2010-04-02 15:52:48 UTC) #6
Mathieu Lacage
12 years, 6 months ago (2010-04-07 16:10:27 UTC) #7
On 2010/04/02 15:52:48, Hajime Tazaki wrote:

> Okay, will do.

It's pushed in ns-3-simu now.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b